Package org.silverpeas.components.quickinfo.servlets

# Class QuickInfoRequestRouter

java.lang.Object
jakarta.servlet.GenericServlet
jakarta.servlet.http.HttpServlet
org.silverpeas.core.web.mvc.webcomponent.SilverpeasHttpServlet
org.silverpeas.core.web.mvc.webcomponent.SilverpeasAuthenticatedHttpServlet
org.silverpeas.core.web.mvc.route.ComponentRequestRouter<QuickInfoSessionController>
org.silverpeas.components.quickinfo.servlets.QuickInfoRequestRouter

All Implemented Interfaces:
  `jakarta.servlet.Servlet`, `jakarta.servlet.ServletConfig`, `Serializable`

public class QuickInfoRequestRouter extends org.silverpeas.core.web.mvc.route.ComponentRequestRouter<QuickInfoSessionController>

See Also:
  - Serialized Form

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.silverpeas.core.web.mvc.webcomponent.SilverpeasHttpServlet

  `org.silverpeas.core.web.mvc.webcomponent.SilverpeasHttpServlet.HttpError, org.silverpeas.core.web.mvc.webcomponent.SilverpeasHttpServlet.UserSessionStatus`

- ## Field Summary

  ### Fields inherited from class jakarta.servlet.http.HttpServlet

  `LEGACY_DO_HEAD`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `QuickInfoRequestRouter()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `QuickInfoSessionController`
  `createComponentSessionController(org.silverpeas.core.web.mvc.controller.MainSessionController mainSessionCtrl, org.silverpeas.core.web.mvc.controller.ComponentContext componentContext)`
  `String`
  `getDestination(String function, QuickInfoSessionController quickInfo, org.silverpeas.core.web.http.HttpRequest request)`
  This method has to be implemented by the component request rooter it has to compute a destination page
  `String`
  `getSessionControlBeanName()`

  ### Methods inherited from class org.silverpeas.core.web.mvc.route.ComponentRequestRouter

  `checkUserAuthorization, doGet, doPost, emptyJsonResponse, getComponentId, getOrganizationController, hasTheSessionSecurityTokenToBeRenewed, sendJson, updateSessionManagement`

  ### Methods inherited from class org.silverpeas.core.web.mvc.webcomponent.SilverpeasAuthenticatedHttpServlet

  `getMainSessionController, getSessionInfo, getSynchronizerTokenService, renewSessionSecurityToken, service, throwUserSessionExpiration`

  ### Methods inherited from class org.silverpeas.core.web.mvc.webcomponent.SilverpeasHttpServlet

  `existOpenedUserSession, forbidden, notFound, preconditionFailed, redirectOrForwardService, sendError, sendError, throwHttpForbiddenError, throwHttpForbiddenError, throwHttpNotFoundError, throwHttpNotFoundError, throwHttpPreconditionFailedError, throwHttpPreconditionFailedError`

  ### Methods inherited from class jakarta.servlet.http.HttpServlet

  `doDelete, doHead, doOptions, doPut, doTrace, getLastModified, init, service`

  ### Methods inherited from class jakarta.servlet.GenericServlet

  `destroy, getInitParameter, getInitParameterNames, getServletConfig, getServletContext, getServletInfo, getServletName, init, log, log`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### QuickInfoRequestRouter

    public QuickInfoRequestRouter()

- ## Method Details

  - ### getSessionControlBeanName

    public String getSessionControlBeanName()
    Specified by:
      `getSessionControlBeanName` in class `org.silverpeas.core.web.mvc.route.ComponentRequestRouter<QuickInfoSessionController>`

  - ### createComponentSessionController

    public QuickInfoSessionController createComponentSessionController(org.silverpeas.core.web.mvc.controller.MainSessionController mainSessionCtrl, org.silverpeas.core.web.mvc.controller.ComponentContext componentContext)
    Specified by:
      `createComponentSessionController` in class `org.silverpeas.core.web.mvc.route.ComponentRequestRouter<QuickInfoSessionController>`

  - ### getDestination

    public String getDestination(String function, QuickInfoSessionController quickInfo, org.silverpeas.core.web.http.HttpRequest request)
    This method has to be implemented by the component request rooter it has to compute a destination page
    Specified by:
      `getDestination` in class `org.silverpeas.core.web.mvc.route.ComponentRequestRouter<QuickInfoSessionController>`
    Parameters:
      `function` - The entering request function (ex : "Main.jsp")
      `quickInfo` - The component Session Control, build and initialized.
      `request` - The entering request. The request rooter need it to get parameters
    Returns:
      The complete destination URL for a forward (ex : "/almanach/jsp/almanach.jsp?flag=user")